%global drupaldir %{_datadir}/drupal7
%global alphabeta beta
%global prerelease 4

Name:    drupal7-features
Version: 1.0
Release: 0.1.%{alphabeta}%{prerelease}%{?dist}
Summary: Provides feature management for Drupal

Group: Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/features
Source0: http://ftp.drupal.org/files/projects/features-7.x-%{version}-%{alphabeta}%{prerelease}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal7

%description
The features module enables the capture
and management of features in Drupal.
A feature is a collection of Drupal entities
which taken together satisfy a certain use-case.

Features provides a UI and API for taking different site building components
from modules with exportables and
bundling them together in a single feature module.
A feature module is like any other Drupal module except
that it declares its components (e.g. views, contexts, CCK fields, etc.)
in its .info file so that it can be checked,
updated, or reverted programmatically.


%prep

%setup -qn features

install -p -m 0644 %{SOURCE1} .
install -p -m 0644 %{SOURCE2} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/features
cp -pr * %{buildroot}%{drupaldir}/modules/features

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt LICENSE.txt README.txt %{name}-fedora-README.txt API.txt
%{drupaldir}/modules/features
%exclude %{drupaldir}/modules/features/*.txt

%changelog
* Fri Sep 23 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.1.beta4
- Initial packaging


